Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::Settings Class Reference

Internal representation of QuickFIX configuration settings. More...

`#include <Settings.h>`

List of all members.

## Public Types

typedef std::vector< Dictionary > | Sections

## Public Member Functions

Sections | get (std::string name) const

## Private Attributes

Sections | m_sections

## Friends

std::istream & | operator>> (std::istream &, Settings &)

## Detailed Description

Internal representation of QuickFIX configuration settings.

Definition at line 38 of file Settings.h.

## Member Typedef Documentation

typedef std::vector< Dictionary > FIX::Settings::Sections

Definition at line 41 of file Settings.h.

## Member Function Documentation

Settings::Sections FIX::Settings::get | ( | std::string | name | ) | const

Definition at line 93 of file Settings.cpp.

References m_sections, QF_STACK_POP, and QF_STACK_PUSH.

    00094 { QF_STACK_PUSH(Settings::get)
    00095
    00096   Sections sections;
    00097   for ( Sections::size_type i = 0; i < m_sections.size(); ++i )
    00098     if ( m_sections[ i ].getName() == name )
    00099       sections.push_back( m_sections[ i ] );
    00100   return sections;
    00101
    00102   QF_STACK_POP
    00103 }

## Friends And Related Function Documentation

std::istream& operator>> | ( | std::istream & | ,
|  | Settings & |  |
| ) |  |  | `[friend]`

## Member Data Documentation

Sections FIX::Settings::m_sections`[private]`

Definition at line 47 of file Settings.h.

Referenced by get().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/Settings.h
- /home/omiller/Development/autobuild/quickfix/src/C++/Settings.cpp